<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class XM_Aspirantes extends Model
{
    protected $table = 'XM_aspirantes';
    protected $connection = 'escolar';
    protected $fillable = ['aspirante_id', 'confi_id', 'inicio_socio', 'cierre_socio', 'acceso_socio', 'inicio_exa', 'cierre_exa', 'acceso_exa', 'estado'];
    protected $dates = [ 'inicio_socio', 'cierre_socio', 'acceso_socio', 'inicio_exa', 'cierre_exa', 'acceso_exa'  ];

    public function aspirante(){
        return $this->belongsTo('App\RFAspirante', 'aspirante_id', 'id');
    }

    public function bitacora(){
        return $this->hasMany('App\RFBitacora', 'fk_idFolio', 'aspirante_id');
    }
}

